Bug 1150284 - Review Request: perl-CGI-Deurl-XS - Fast decoder for URL parameter strings
Summary: Review Request: perl-CGI-Deurl-XS - Fast decoder for URL parameter strings
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1166947
TreeView+ depends on / blocked
 
Reported: 2014-10-07 19:53 UTC by David Dick
Modified: 2014-11-22 03:42 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-27 03:27:30 UTC
psabata: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-10-07 19:53:08 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-CGI-Deurl-XS.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-CGI-Deurl-XS-0.07-1.fc20.src.rpm
Description: Fast decoder for URL parameter strings
Fedora Account System Username: ddick

Comment 2 Petr Šabata 2014-10-08 13:34:23 UTC
License tag incorrect; the parser is licensed under ASL 2.0.

Missing BRs:
- File::Copy, Makefile.PL:35
- File::Spec, Makefile.PL:36

These are compile-time dependencies and they're needed no matter if that block is executed or not.

Comment 3 David Dick 2014-10-08 19:40:37 UTC
Yup, fixed and uploaded.

Comment 4 Petr Šabata 2014-10-09 09:21:33 UTC
--- a/perl-CGI-Deurl-XS.spec
+++ b/perl-CGI-Deurl-XS.spec
@@ -2,7 +2,7 @@ Name:           perl-CGI-Deurl-XS
 Version:        0.07
 Release:        1%{?dist}
 Summary:        Fast decoder for URL parameter strings
-License:        GPL+ or Artistic
+License:        (GPL+ or Artistic) and ASL 2.0
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/CGI-Deurl-XS/
 Source0:        http://www.cpan.org/modules/by-module/CGI/CGI-Deurl-XS-%{version}.tar.gz
@@ -13,6 +13,8 @@ BuildRequires:  perl(encoding)
 BuildRequires:  perl(Exporter)
 BuildRequires:  perl(ExtUtils::Constant)
 BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(File::Copy)
+BuildRequires:  perl(File::Spec)
 BuildRequires:  perl(strict)
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(warnings)

--

Approving.

Comment 5 David Dick 2014-10-09 09:35:22 UTC
New Package SCM Request
=======================
Package Name: perl-CGI-Deurl-XS
Short Description: Fast decoder for URL parameter strings
Upstream URL: http://search.cpan.org/dist/CGI-Deurl-XS/
Owners: ddick
Branches: f20, f21, epel7, el6
InitialCC: perl-sig

Thanks for the review Petr.

Comment 6 Kevin Fenzi 2014-10-13 23:27:34 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-10-14 09:24:38 UTC
perl-CGI-Deurl-XS-0.07-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-CGI-Deurl-XS-0.07-1.fc20

Comment 8 Fedora Update System 2014-10-14 09:37:06 UTC
perl-CGI-Deurl-XS-0.07-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-CGI-Deurl-XS-0.07-1.fc21

Comment 9 Fedora Update System 2014-10-14 09:45:40 UTC
perl-CGI-Deurl-XS-0.07-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-CGI-Deurl-XS-0.07-1.el6

Comment 10 Fedora Update System 2014-10-14 09:52:54 UTC
perl-CGI-Deurl-XS-0.07-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-CGI-Deurl-XS-0.07-1.el7

Comment 11 Fedora Update System 2014-10-14 18:12:23 UTC
perl-CGI-Deurl-XS-0.07-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-10-27 03:27:30 UTC
perl-CGI-Deurl-XS-0.07-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-10-31 01:24:15 UTC
perl-CGI-Deurl-XS-0.07-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 14 Fedora Update System 2014-10-31 01:27:55 UTC
perl-CGI-Deurl-XS-0.07-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2014-11-01 16:57:09 UTC
perl-CGI-Deurl-XS-0.07-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.